-- message box flags
MB_OK                       = math.fromHex("0x00000000")
MB_OKCANCEL                 = math.fromHex("0x00000001")
MB_ABORTRETRYIGNORE         = math.fromHex("0x00000002")
MB_YESNOCANCEL              = math.fromHex("0x00000003")
MB_YESNO                    = math.fromHex("0x00000004")
MB_RETRYCANCEL              = math.fromHex("0x00000005")
MB_CANCELTRYCONTINUE        = math.fromHex("0x00000006")
MB_ICONHAND                 = math.fromHex("0x00000010")
MB_ICONQUESTION             = math.fromHex("0x00000020")
MB_ICONEXCLAMATION          = math.fromHex("0x00000030")
MB_ICONASTERISK             = math.fromHex("0x00000040")
MB_USERICON                 = math.fromHex("0x00000080")
MB_ICONWARNING              = MB_ICONEXCLAMATION
MB_ICONERROR                = MB_ICONHAND
MB_ICONINFORMATION          = MB_ICONASTERISK
MB_ICONSTOP                 = MB_ICONHAND



-- scene view configuration
mediaPath = "datas"

if (setCurrentDirectory(mediaPath) == false) then
	messageBox("Scene view error", "couldn't set directory to "..mediaPath, MB_ICONEXCLAMATION)
end

windowWidth = 640;
windowHeight = 480;
--
--fullScreenWidth = 1440;
--fullScreenHeight = 900;
fullScreenWidth = 640;
fullScreenHeight = 480;
--
fullscreen = false;


--aspectRatio = fullScreenWidth / fullScreenHeight

--aspectRatio = 1

--aspectRatio = 16/10


fov = 75

ZNear = 1
ZFar = 3000

cameraSpeed = 220;
--cameraSpeed = 5;

lightSelectorSize = 20;

moveWidgetScale = 0.15;

--backgroundColor = { R = 0.2, G = 0.1, B = 0.0 };

--backgroundColor = { R = 0, G = 0, B = 0.0 };


-- for debug : render z as a color
renderZColor = false;
zColor = { R = 1, G = 0, B = 0 }


PixelShaderModel="3_0"
--PixelShaderModel="2_0"
--PixelShaderModel="1_4"


fog_enabled = false;
fog_color = { R = 1.0, G = 0, B = 0 };
fog_start = 100
fog_end = 500




fog_enabled = false;
--fog_color = { R = 72 / 255, G = 83 / 255, B = 92 / 255 };
fog_color = { R = 1.0, G = 0, B = 0 };
fog_start = 0
fog_end = 20

bloom_filter_pre_threshold = 0.00
bloom_filter_pre_scale = 1.00
bloom_filter_post_threshold = 0.00
bloom_filter_post_scale = 0.4
bloom_modulate_factor = 1.00

HardwareShadowMapEnabled = true;

